:root {
  --bg: rgb(241, 241, 241);
  --teks: blacK;
  --card: rgb(255, 255, 255);
  --garis: #ccc;
  --bg-kategori: rgb(230, 255, 4);
  --teks-kategori: black;
}

body.dark {
  --bg: #121212;
  --teks: white;
  --card: #1e1e1e;
  --bg-kategori: blue;
  --teks-kategori: white;
}

body {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  background-color: var(--bg);
  color: var(--teks);
  font-family: sans-serif;
  transition: 0.3s;
  /* max-width: 100vw; */
  /* overflow-x: hidden; */
}

.event {
  display: block;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--card);
  text-align: center;
  font-size: 0.7rem;
  border-bottom: solid 1px var(--card);
  padding: 10px;
}

/* #content{
    height: calc(100vh - 120px);
    padding-inline: 50px;
    overflow-y: auto;
    padding-bottom: 150px;
} */

main {
  margin-top: 8%;
  /* width: 100vw; */
  padding-inline: 50px;
  /* overflow-y: auto; */
  padding-bottom: 150px;
}

.list {
  display: grid;
  margin-top: 10px;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 30px;
}

.card {
  display: flex;
  flex-direction: column;
  background-color: var(--card);
  border-radius: 10px;
  /* max-width: 80%; */
  /* margin-bottom: 20px; */
}

.card img {
  width: 100%;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.card .teks {
  padding: 10px 30px;
}

.card .teks h2 {
  font-size: 1rem;
}

.card p {
  font-size: 0.8rem;
  font-weight: 600;
}

.card .kategori{
    background-color: var(--bg-kategori);
    width: 30%;
    text-align: center;
    font-weight: bold;
    color: var(--teks-kategori);
    padding: 3px;
    border-radius: 999999px;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 20px;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  background-color: var(--card);
  border-top: 1px solid var(--card);
}

nav button {
  background-color: transparent;
  color: var(--teks);
  font-size: 1rem;
  cursor: pointer;
  border: none;
}

.setting {
  display: none;
}

.tema {
  background-color: var(--card);
  margin-inline: 10px;
  margin-top: 6%;
  border-radius: 10px;
  padding: 5px 20px;
}

.pilihan {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  text-align: center;
  padding-bottom: 20px;
}

.box {
  padding: 20px;
  border: 2px solid #ccc;
  border-radius: 10px;
  cursor: pointer;
  transition: 0.3s;
}

input:checked + .box {
  border-color: blue;
  background: rgba(20, 20, 126, 0.134);
  color: rgb(0, 0, 169);
}

@media screen and (max-width: 1000px) {
  .list {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 720px) {
  .list {
    grid-template-columns: 1fr;
  }
}
